"
 COPYRIGHT (c) 1996 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"





Wrapper subclass:#GeometricWrapper
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Graphics-Display Objects'
!

!GeometricWrapper class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1996 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"




!

documentation
"
    abstract class for wrappers of geometric objects.
    These allows any geometric thingy to be used as a component in a view.

    (background info: geometrics are mathematical objects - they do not 
     keep any color or lineStyle attributes. Wrappers add this information
     and can also be used as components of a view)

    [see also:]
        StrokingWrapper FillingWrapper
        Geometric GraphicsContext

    [author:]
        Claus Gittinger
"



! !

!GeometricWrapper methodsFor:'accessing - bounds'!

preferredBounds
    "return the components bounds as preferredBounds"

    ^ component bounds

    "Created: 9.5.1996 / 10:28:10 / cg"
! !

!GeometricWrapper class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libview2/Attic/GeomWrpr.st,v 1.2 1996-05-09 08:43:49 cg Exp $'
! !
